Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 448)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 449)
@@ -6,11 +6,10 @@
 ! 
 !
-! Branch revisions:
-! -----------------
-! masked data output
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output
 !
 ! 277 2009-03-31 09:13:47Z heinze
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 448)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 449)
@@ -4,14 +4,16 @@
 ! Actual revisions:
 ! -----------------
-! Enabled passive scalar/humidity wall fluxes for non-flat topography
-! Initialization of large scale vertical motion (subsidence/ascent)
-!
-! Branch revisions:
-! -----------------
-! Masked data output
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! Enabled passive scalar/humidity wall fluxes for non-flat topography
+! Initialization of large scale vertical motion (subsidence/ascent)
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 448)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 449)
@@ -6,11 +6,10 @@
 ! 
 !
-! Branch revisions:
-! -----------------
-! masked data output
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output
 !
 ! 263 2009-03-18 12:26:04Z heinze
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 448)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 449)
@@ -4,5 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: to_be_resorted => s_av for time-averaged scalars
 ! 
 !
@@ -11,4 +10,6 @@
 ! $Id$
 !
+! 410 2009-12-04 17:05:40Z letzel
+! Initial version
 !
 ! Description:
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 448)
+++ /palm/trunk/SOURCE/header.f90	(revision 449)
@@ -7,13 +7,11 @@
 ! Bugfix: index problem concerning gradient_level indices removed
 ! 
-!
-! Branch revisions:
-! -----------------
-! Masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
-! mask_scale|_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
-! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! Masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
+! mask_scale|_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
 !
 ! 346 2009-07-06 10:13:41Z raasch
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 448)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 449)
@@ -6,11 +6,10 @@
 ! 
 !
-! To do:
-! ------
-! 
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! Initial revision
 !
 !
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 448)
+++ /palm/trunk/SOURCE/modules.f90	(revision 449)
@@ -11,12 +11,11 @@
 ! ws_vertical_gradient_level_ind, w_subs
 !
-! Branch revisions:
-! -----------------
-! Masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
-! mask_scale|_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
+! mask_scale|_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 448)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 449)
@@ -9,11 +9,10 @@
 ! 
 !
-! Branch revisions:
-! -----------------
-! masked data output
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output
 !
 ! 359 2009-08-19 16:56:44Z letzel
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 448)
+++ /palm/trunk/SOURCE/parin.f90	(revision 449)
@@ -7,12 +7,11 @@
 ! +ws_vertical_gradient, ws_vertical_gradient_level
 !
-! Branch revisions:
-! -----------------
-! Masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
-! mask_scale_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
+! mask_scale_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
 !
 ! 291 2009-04-16 12:07:26Z raasch
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 448)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 449)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! test output from rev 410 removed
 !
 ! Former revisions:
@@ -635,5 +635,5 @@
        USE indices
        USE statistics
-USE pegrid
+
        IMPLICIT NONE
 
@@ -988,7 +988,4 @@
 
                 DO  k = nzb_diff_s_inner(j,i), nzt_diff
-IF ( pt(k,j,i) == 0.0 .OR. dd2zu(k) == 0.0 )  &
-WRITE (*,'(6(I4,1X),F6.2,1X,F6.2)')  &
-myid, i, j, nzb_diff_s_inner(j,i), nzt_diff, k, pt(k,j,i), dd2zu(k)
                    tend(k,j,i) = tend(k,j,i) - kh(k,j,i) * g / pt(k,j,i) * &
                                        ( pt(k+1,j,i) - pt(k-1,j,i) ) * dd2zu(k)
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 448)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 449)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! format changed in test output from I2 to I4
 !
 ! 367 2009-08-25 08:35:52Z maronga
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 448)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 449)
@@ -6,11 +6,10 @@
 ! Bugfix: exchange of ghost points for prho included
 !
-! Branch revisions:
-! -----------------
-! masked data output
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 448)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 449)
@@ -6,11 +6,10 @@
 ! 
 !
-! Branch revisions:
-! -----------------
-! masked data output
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 410 2009-12-04 17:05:40Z letzel
+! masked data output
 !
 ! 274 2009-03-26 15:11:21Z heinze