Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 440)
+++ palm/trunk/SCRIPTS/mrun	(revision 475)
@@ -196,4 +196,6 @@
      # 18/12/09 - Carolin- modification of archiving (permq)
      # 01/02/10 - Siggi  - adapted for lcxt5m and lckyoto (Fujitsu HX600)
+     # 03/02/10 - Siggi  - make options (mopts) to be set by configuration file
+     #                     implemented
 
 
@@ -2121,4 +2123,18 @@
  if [[ $do_compile = true ]]
  then
+    if [[ "$mopts" != "" ]]
+    then
+       spalte1=make-options:; spalte2=$mopts
+       printf "| $spalte1$spalte2 | \n"
+       zeile=$(echo "$mopts" | cut -c41-)
+       while [[ "$zeile" != "" ]]
+       do
+          spalte1=""
+          spalte2=$zeile
+          printf "| $spalte1$spalte2 | \n"
+          zeile=$(echo "$zeile" | cut -c41-)
+       done
+    fi
+
     spalte1=cpp-directives:; spalte2=$cpp_options
     printf "| $spalte1$spalte2 | \n"
@@ -2370,23 +2386,13 @@
        cp  SOURCES_FOR_RUN_$fname/*  $TEMPDIR_COMPILE
 
-          # FALLS USER-INTERFACE VORHANDEN UND AUF DATEI MIT ANDEREM NAMEN
-          # ALS user_interface.f90 LIEGT, DIESEN GEAENDERTEN NAMEN INS
-          # MAKEFILE EINTRAGEN
-#       cd  $TEMPDIR_COMPILE
-#       interface_file=`grep -l "END SUBROUTINE user_parin" $source_list`
-#       if [[ "$interface_file" != "" ]]
-#       then
-#          interface_file=`echo $interface_file | cut -d"." -f1`
-#          mv  Makefile  Makefile_old
-#          sed "s/user_interface/$interface_file/g"  Makefile_old  >  Makefile
-#       fi
-#       cd -  > /dev/null
     else
+
        cp  $executable   ${TEMPDIR}/a.out
+
     fi
 
 
        # WECHSEL IN TEMPORAEREN KATALOG
-    cd $TEMPDIR
+    cd  $TEMPDIR
     printf "\n  *** changed to temporary directory: $TEMPDIR"
 
@@ -2418,6 +2424,10 @@
        printf "  *** compilation with make using following options:\n"
        printf "      make depository:          $make_depository"
+       if [[ "$mopts" != "" ]]
+       then
+          printf "      make options:             $mopts\n"
+       fi
        printf "      compilername:             $compiler_name\n"
-       printf "      options:                  $fopts\n"
+       printf "      compiler options:         $fopts\n"
        printf "      preprocessor-directives:  $cpp_options \n"
        printf "      linker-options:           $lopts \n"
@@ -2426,5 +2436,5 @@
        if [[ $localhost = nech ]]
        then
-          ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; cd \$HOME/work/${usern}.$kennung; sxmake -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; cd \$HOME/work/${usern}.$kennung; sxmake $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           cp  $TEMPDIR_COMPILE/a.out  .
           [[ $? != 0 ]]  &&  compile_error=true
@@ -2433,5 +2443,5 @@
        then
           printf "      compiler is called via ssh on \"plogin1\" \n"
-          ssh  plogin1  -l $usern  "export PATH=/sw/ibm/xlf/12.1.0.3/usr/bin:$PATH; cd $TEMPDIR; make -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          ssh  plogin1  -l $usern  "export PATH=/sw/ibm/xlf/12.1.0.3/usr/bin:$PATH; cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
@@ -2439,5 +2449,5 @@
        then
           printf "      compiler is called via ssh on \"bicegate\" using module \"$mpilib\" \n"
-          ssh  130.73.232.103  -l $usern  ". /usr/share/modules/init/bash; module load ifort/11.0.069; module load $mpilib; cd $TEMPDIR; make -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          ssh  130.73.232.103  -l $usern  ". /usr/share/modules/init/bash; module load ifort/11.0.069; module load $mpilib; cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
@@ -2445,10 +2455,10 @@
        then
           printf "      compiler is called via ssh on \"hicegate2\" using module \"$mpilib\" \n"
-          ssh  130.75.4.103  -l $usern  ". /usr/share/modules/init/bash; module load ifort/11.0.069; module load $mpilib; cd $TEMPDIR; make -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
+          ssh  130.75.4.103    -l $usern  ". /usr/share/modules/init/bash; module load ifort/11.0.069; module load $mpilib; cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        else
           [[ $localhost = lctit ]]  &&  export LM_LICENSE_FILE=27050@tggls
-          make -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
+          make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
        fi
 