Index: palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- palm/trunk/DOC/tec/technical_documentation.html	(revision 481)
+++ palm/trunk/DOC/tec/technical_documentation.html	(revision 482)
@@ -1,4 +1,6 @@
 <!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
 <html><head>
+
+
 
 
@@ -13,5 +15,5 @@
 <br>&nbsp;
 <br><table nosave="" cellpadding="0" cellspacing="0"> <caption>&nbsp; <br> </caption><tbody>
-</tbody><tbody> </tbody> <tbody> <tr nosave=""> <td nosave=""><b>Current fixed release:</b></td> <td><span style="font-weight: bold;">3.7<br>
+</tbody><tbody> </tbody> <tbody> <tr nosave=""> <td nosave=""><b>Current fixed release:</b></td> <td><span style="font-weight: bold;">3.7a<br>
 </span></td> </tr>
 <tr nosave=""> <td nosave=""><b>Last
@@ -34,5 +36,5 @@
 The following table documents all changes to the PALM repository since 2009. Older changes can be found <a href="tec_doc_1998-2008.html">here</a>.<br>
 <br>
-Entries in the fourth column specify the type of the change:
+Entries in the fifth column specify the type of the change:
 change&nbsp;
 of existing code (C), new code (N) or bugfix (B). More detailed
@@ -46,6 +48,5 @@
   <tbody>
     <tr>
-      <td style="vertical-align: bottom; width: 27px;"><big><span style="font-weight: bold;">date</span></big><br>
-      <br>
+      <td style="vertical-align: middle; width: 27px;"><big><span style="font-weight: bold;">date</span></big><br>
       </td>
       <td style="width: 38px;"><big><span style="font-weight: bold;">author</span></big><br>
@@ -60,4 +61,53 @@
       </td>
       <td style="width: 189px;"><big><span style="font-weight: bold;">affected routines</span></big><br>
+      </td>
+    </tr>
+    
+    
+    
+    
+    
+    
+    
+    
+    
+    
+    <tr>
+      <td style="vertical-align: top; width: 27px;">05/02/10<br>
+      </td>
+      <td style="vertical-align: top; width: 38px;">SR<br>
+      </td>
+      <td style="vertical-align: top; width: 42px;">483<br>
+      </td>
+      <td style="vertical-align: top; width: 40px;">3.7a<br>
+      </td>
+      <td style="vertical-align: top; width: 27px;">N<br>
+      </td>
+      <td style="vertical-align: top; width: 497px;"><span style="font-family: Courier New,Courier,monospace;">compare_palm_logs </span>is additionally compiled with <span style="font-weight: bold;">mbuild</span> <span style="font-family: Courier New,Courier,monospace;">-u</span> . (<span style="font-family: Courier New,Courier,monospace;">Makefile</span> in <span style="font-family: Courier New,Courier,monospace;">trunk/UTIL</span>)<br>
+      <br>
+make options (<span style="font-family: Courier New,Courier,monospace;">mopts</span>) to be set by configuration file implemented. (<span style="font-weight: bold;">mrun</span>, <span style="font-weight: bold;">mbuild</span>)<br>
+      <br>
+      <span style="font-family: Courier New,Courier,monospace;">humidity</span> = <span style="font-style: italic;">.T.</span> can be used for runs with topography. <span style="font-family: Courier New,Courier,monospace;">wall_humidityflux</span> and<br><span style="font-family: Courier New,Courier,monospace;">
+wall_scalarflux</span> are the corresponding new inipar parameters.<br>
+(<span style="font-family: Courier New,Courier,monospace;">check_parameters</span>, <span style="font-family: Courier New,Courier,monospace;">init_3d_model</span>, <span style="font-family: Courier New,Courier,monospace;">parin</span>)<br>
+      <br>
+Large scale vertical motion (subsidence/ascent) can be added as
+additional source to the prognostic equation for potential temperature.
+See new parameters <span style="font-family: Courier New,Courier,monospace;">large_scale_subsidence</span>, <span style="font-family: Courier New,Courier,monospace;">ws_vertical_gradient</span>, and <span style="font-family: Courier New,Courier,monospace;">ws_vertical_gradient_level</span>. (<span style="font-family: Courier New,Courier,monospace;">check_parameters</span>, <span style="font-family: Courier New,Courier,monospace;">header</span>, <span style="font-family: Courier New,Courier,monospace;">Makefile</span>, <span style="font-family: Courier New,Courier,monospace;">modules</span>, <span style="font-family: Courier New,Courier,monospace;">parin</span>, <span style="font-family: Courier New,Courier,monospace;">prognostic_equations</span>, <span style="font-family: Courier New,Courier,monospace;">read_var_list</span>, <span style="font-family: Courier New,Courier,monospace;">subsidence</span>, <span style="font-family: Courier New,Courier,monospace;">write_var_list</span>)<br>
+      <br>
+A simple method for installing and running palm (with limited features) has been added. (<span style="font-family: Courier New,Courier,monospace;">Makefile</span>, new scripts <span style="font-weight: bold;">palm_simple_install</span>, <span style="font-weight: bold;">palm_simple_run</span>)<br>
+      <br>
+Masked data output has been implemented but it is not documented in the
+user manual so far. This feature can already use NetCDF4 file format.
+(check_open, check_parameters, close_file, modules, netcdf, parin,
+time_integration, user_parin, new: data_output_mask, init_masks,
+user_data_output_mask)<br>
+      </td>
+      <td style="vertical-align: top; width: 189px;">check_open, check
+parameters, close_file, header, init_3d_model, Makefile, mbuild, modules, mrun,
+netcdf, parin, prognostic_equations, read_var_list, time_integration, user_parin, write_var_list<br>
+      <br><span style="font-weight: bold;">
+new:</span> data_output_mask,&nbsp; init_masks, palm_simple_install, palm_simple_run, subsidence, user_data_output_mask<br>
+<br>
       </td>
     </tr>
@@ -71,9 +121,17 @@
       <td style="vertical-align: top; width: 40px;"><br>
       </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
+      <td style="vertical-align: top; width: 27px;">C<br>
+      </td>
+      <td style="vertical-align: top; width: 497px;">2d-decomposition is default for Cray-XT machines. (<span style="font-family: Courier New,Courier,monospace;">init_pegrid</span>)<br>
+      <br><span style="font-family: Courier New,Courier,monospace;">
+var_ts</span> is replaced by <span style="font-family: Courier New,Courier,monospace;">dots_max</span>. (<span style="font-family: Courier New,Courier,monospace;">modules</span>, <span style="font-family: Courier New,Courier,monospace;">init_3d_model</span>)<br>
+      <br>
+Every cloud droplet has now an own weighting factor and can be deleted
+due to collisions. Condensation and collision of cloud droplets are
+adjusted accordingly. (<span style="font-family: Courier New,Courier,monospace;">advec_particles</span>)<br>
+      <br>
+Collision efficiency for large cloud droplets has changed according to table of Rogers and Yau. (<span style="font-family: Courier New,Courier,monospace;">collision_efficiency</span>)<br>
+      </td>
+      <td style="vertical-align: top; width: 189px;">advec_particles, collision_efficiency, init_3d_model, init_pegrid, modules<br>
       </td>
     </tr>
@@ -87,185 +145,33 @@
       <td style="vertical-align: top; width: 40px;"><br>
       </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
-      </td>
-    </tr>
-    <tr>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 38px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 42px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 40px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 27px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 497px;"><br>
-      </td>
-      <td style="vertical-align: top; width: 189px;"><br>
+      <td style="vertical-align: top; width: 27px;">B<br>
+      </td>
+      <td style="vertical-align: top; width: 497px;">Bugfix for generating serial jobs. (<span style="font-weight: bold;">subjob</span>)<br>
+      <br>
+Bugfix: index problem concerning gradient_level indices removed. (<span style="font-family: Courier New,Courier,monospace;">header</span>)<br>
+      <br>
+Dimension of array <span style="font-family: Courier New,Courier,monospace;">stat</span> in cascade change to prevent type problems with mpi2 libraries. (<span style="font-family: Courier New,Courier,monospace;">poisfft_hybrid</span>)<br>
+      <br>
+Loop was split to make runs reproducible when using ifort compiler. (<span style="font-family: Courier New,Courier,monospace;">disturb_field</span>)<br>
+      <br>
+Bugfix: exchange of ghost points for <span style="font-family: Courier New,Courier,monospace;">prho</span> included. (<span style="font-family: Courier New,Courier,monospace;">time_integration</span>)<br>
+      <br>
+Bugfix in calculation of time-averaged surface heatfluxes. (<span style="font-family: Courier New,Courier,monospace;">sum_up_3d_data</span>)<br>
+      <br>
+Bugfix in calculation of precipitation_rate. (<span style="font-family: Courier New,Courier,monospace;">calc_precipitation</span>)<br>
+      <br>
+Bugfix: initial data assignments to some dvrp arrays changed due to error messages from gfortran compiler. (<span style="font-family: Courier New,Courier,monospace;">modules</span>)<br>
+      <br>
+Bugfix in calculation of cloud droplet velocity. (<span style="font-family: Courier New,Courier,monospace;">advec_particles</span>)<br>
+      <br>
+Bugfix in transfer of particles at south/left edge. (<span style="font-family: Courier New,Courier,monospace;">advec_particles</span>)<br>
+      <br>
+Bugfix in calculation of collision efficiency. (<span style="font-family: Courier New,Courier,monospace;">collision_efficiency</span>)<span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;"></span><br>
+      </td>
+      <td style="vertical-align: top; width: 189px;">advec_particles,
+calc_precipitation, collision_efficiency, disturb_field, header,
+modules, poisfft_hybrid, subjob, sum_up_3d_data,
+time_integration<br>
+<br>
       </td>
     </tr>
@@ -615,5 +521,5 @@
       <td style="vertical-align: top; width: 40px;"><br>
       </td>
-      <td style="vertical-align: top; width: 27px;">E<br>
+      <td style="vertical-align: top; width: 27px;">B<br>
       </td>
       <td style="vertical-align: top; width: 497px;">Bugfix: Initial hydrostatic
@@ -908,5 +814,5 @@
       <td style="vertical-align: top; width: 40px;"><br>
       </td>
-      <td style="vertical-align: top; width: 27px;">E<br>
+      <td style="vertical-align: top; width: 27px;">B<br>
       </td>
       <td style="vertical-align: top; width: 497px;">Bugfix: array <span style="font-family: Courier New,Courier,monospace;">d</span> is
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 481)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 482)
@@ -1,70 +1,13 @@
 New:
 ---
-compare_palm_logs is additionally compiled with mbuild -u (Makefile in trunk/UTIL)
 
-make options (mopts) to be set by configuration file implemented (mrun, mbuild)
-
-humidity=.T. is now usable for runs with topography. wall_humidityflux and
-wall_scalarflux are the corresponding new parin arrays.
-(check_parameters, init_3d_model, parin)
-
-Large scale vertical motion (subsidence/ascent) can be applied to the
-prognostic equation for the potential temperature. (check_parameters, header,
-Makefile, modules, parin, prognostic_equations, read_var_list, subsidence,
-write_var_list)
-
-A simple method for installing and running palm (with limited features)
-has been added. (Makefile, palm_simple_install, palm_simple_run)
-
-check parameters, header, init_3d_model, Makefile, mbuild, modules, mrun, parin, prognostic_equations, read_var_list, write_var_list
-new: palm_simple_install, palm_simple_run, subsidence
 
 
 Changed:
 -------
-2d-decomposition is default for Cray-XT machines (init_pegrid)
 
-var_ts is replaced by dots_max (modules,init_3d_model)
-
-Every cloud droplet has now an own weighting factor and can be deleted due to
-collisions. Condensation and collision of cloud droplets are adjusted
-accordingly. (advec_particles)
-
-Collision efficiency for large cloud droplets has changed according to table of
-Rogers and Yau. (collision_efficiency)
-
-advec_particles, collision_efficiency, init_3d_model, init_pegrid, modules
 
 
 Errors:
 ------
-Bugfix for generating serial jobs (subjob)
 
-Bugfix: index problem concerning gradient_level indices removed (header)
-
-Dimension of array stat in cascade change to prevent type problems with
-mpi2 libraries (poisfft_hybrid)
-
-A loop has been splitted to make runs reproducible on HLRN
-systems. (disturb_field)
-
-Bugfix: exchange of ghost points for prho included (time_integration)
-
-Bugfix: calculation of time-averaged surface heatfluxes (sum_up_3d_data)
-
-Bugfix: calculation of precipitation_rate (calc_precipitation)
-
-Bugfix: initial data assignments to some dvrp arrays changed due to error
-messages from gfortran compiler (modules)
-
-Bugfix: calculation of cloud droplet velocity (advec_particles)
-
-Bugfix: transfer of particles at south/left edge (advec_particles)
-
-Bugfix: calculation of collision_efficiency (collision_efficiency)
-
-Bugfix: initialisation of var_mod (subsidence)
-
-advec_particles, calc_precipitation, collision_efficiency, disturb_field, header, modules, poisfft_hybrid, subjob, subsidence, sum_up_3d_data, time_integration
-
-
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 481)
+++ palm/trunk/SOURCE/Makefile	(revision 482)
@@ -2,6 +2,13 @@
 # WARNING: don't write filenames with extension .f90 in this header!!!!
 #
-# Actual revisions:
+# Current revisions:
+# ------------------
+# 
+#
+# Former revisions:
 # -----------------
+# $Id$
+#
+# 421 2010-01-25 15:50:10Z raasch
 # comment line for simple install method added, which will be replaced
 # by an include command for preprocessor and compiler options when the simple
@@ -10,11 +17,6 @@
 # +subsidence
 #
-# Branch revisions:
-# -----------------
+# 410 2009-12-04 17:05:40Z letzel
 # +data_output_mask, init_masks, user_data_output_mask
-#
-# Former revisions:
-# -----------------
-# $Id$
 #
 # 217 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 481)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 482)
@@ -5,4 +5,10 @@
 ! -----------------
 ! TEST: PRINT statements on unit 9 (commented out)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 420 2010-01-13 15:10:53Z franke
 ! Own weighting factor for every cloud droplet is implemented and condensation
 ! and collision of cloud droplets are adjusted accordingly. +delta_v, -s_r3,
@@ -16,8 +22,4 @@
 !         y>=(ny+0.5)*dy-1.e-12 or x>=(nx+0.5)*dx-1.e-12, very rare
 ! Bugfix: calculation of y (collision_efficiency)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 336 2009-06-10 11:19:35Z raasch
Index: palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- palm/trunk/SOURCE/calc_precipitation.f90	(revision 481)
+++ palm/trunk/SOURCE/calc_precipitation.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix in calculation of precipitation_rate(j,i)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 403 2009-10-22 13:57:16Z franke
+! Bugfix in calculation of precipitation_rate(j,i)
 !
 ! 73 2007-03-20 08:33:14Z raasch
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 481)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix in serial branch: arguments from array local_pf removed in N90_PUT_VAR
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 475 2010-02-04 02:26:16Z raasch
+! Bugfix in serial branch: arguments from array local_pf removed in N90_PUT_VAR
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 481)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! A loop has been splitted to make runs reproducible on HLRN systems
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 420 2010-01-13 15:10:53Z franke
+! Loop was split to make runs reproducible when using ifort compiler
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 481)
+++ palm/trunk/SOURCE/header.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +large scale vertical motion (subsidence/ascent)
-! Bugfix: index problem concerning gradient_level indices removed
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! +large scale vertical motion (subsidence/ascent)
+! Bugfix: index problem concerning gradient_level indices removed
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 481)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 482)
@@ -7,10 +7,13 @@
 ! Current revisions:
 ! -----------------
-! var_ts is replaced by dots_max 
-! Enabled passive scalar/humidity wall fluxes for non-flat topography
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 407 2009-12-01 15:01:15Z maronga
+! var_ts is replaced by dots_max 
+! Enabled passive scalar/humidity wall fluxes for non-flat topography
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 481)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 482)
@@ -5,5 +5,4 @@
 ! -----------------
 ! 
-! 2d-decomposition is default for Cray-XT machines
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
@@ -12,4 +11,6 @@
 ! -----------------
 ! $Id$
+! 438 2010-02-01 04:32:43Z raasch
+! 2d-decomposition is default for Cray-XT machines
 !
 ! 274 2009-03-26 15:11:21Z heinze
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 481)
+++ palm/trunk/SOURCE/modules.f90	(revision 482)
@@ -5,4 +5,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
 ! -var_ts: replaced by dots_max,
 ! initial data assignments to some dvrp arrays changed due to error messages
@@ -10,8 +17,4 @@
 ! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
 ! ws_vertical_gradient_level_ind, w_subs
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 481)
+++ palm/trunk/SOURCE/palm.f90	(revision 482)
@@ -73,5 +73,5 @@
     INTEGER           ::  i, run_description_header_i(80)
 
-    version = 'PALM 3.7'
+    version = 'PALM 3.7a'
 
 #if defined( __parallel )
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 481)
+++ palm/trunk/SOURCE/parin.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +wall_humidityflux, wall_scalarflux
-! +ws_vertical_gradient, ws_vertical_gradient_level
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! +wall_humidityflux, wall_scalarflux
+! +ws_vertical_gradient, ws_vertical_gradient_level
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 481)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions: 
 ! ----------------- 
-! Dimension of array stat in cascade change to prevent type problems with
-! mpi2 libraries
+! 
 !
 ! Former revisions: 
 ! ----------------- 
 ! $Id$
+!
+! 415 2009-12-15 10:26:23Z raasch
+! Dimension of array stat in cascade change to prevent type problems with
+! mpi2 libraries
 !
 ! 274 2009-03-26 15:11:21Z heinze
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 481)
+++ palm/trunk/SOURCE/production_e.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! test output from rev 410 removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! test output from rev 410 removed
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 481)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 482)
@@ -4,6 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! add call of subsidence in the prognostic equation for
-! the potential temperature
 ! 
 !
@@ -11,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! add call of subsidence in the equation for potential temperature
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 481)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
-! ws_vertical_gradient_level_ind
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
+! ws_vertical_gradient_level_ind
 !
 ! 345 2009-07-01 14:37:56Z heinze
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 481)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix in calculation of shf*_av, qsws*_av 
+!  
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 402 2009-10-21 11:59:41Z maronga
+! Bugfix in calculation of shf*_av, qsws*_av
 !
 ! 2009-08-25 08:35:52Z maronga
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 481)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: exchange of ghost points for prho included
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! Bugfix: exchange of ghost points for prho included
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 481)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
-! ws_vertical_gradient_level_ind
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
+! ws_vertical_gradient_level_ind
 !
 ! 345 2009-07-01 14:37:56Z heinze