Index: palm/trunk/DOC/app/index.html
===================================================================
--- palm/trunk/DOC/app/index.html	(revision 482)
+++ palm/trunk/DOC/app/index.html	(revision 484)
@@ -1,4 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html xmlns="http://www.w3.org/TR/REC-html40" xmlns:w="urn:schemas-microsoft-com:office:word" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:v="urn:schemas-microsoft-com:vml"><head>
+
 
 
@@ -176,5 +177,5 @@
 <p><span style="font-family: Thorndale;" lang="EN-GB">Current
 model
-version:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.7<br>
+version:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3.7a<br>
 For date of last change see bottom line of each page. <o:p></o:p></span></p>
 
Index: palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_pw.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_s_pw.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_up.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_s_up.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_s_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_ups.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_s_ups.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_pw.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_u_pw.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_up.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_u_up.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_u_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_ups.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_u_ups.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_pw.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_v_pw.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_up.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_v_up.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_v_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_ups.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_v_ups.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_w_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_pw.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_w_pw.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_up.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_w_up.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/advec_w_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_ups.f90	(revision 482)
+++ palm/trunk/SOURCE/advec_w_ups.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/asselin_filter.f90
===================================================================
--- palm/trunk/SOURCE/asselin_filter.f90	(revision 482)
+++ palm/trunk/SOURCE/asselin_filter.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 482)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 482)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 482)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- palm/trunk/SOURCE/calc_precipitation.f90	(revision 482)
+++ palm/trunk/SOURCE/calc_precipitation.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/calc_radiation.f90
===================================================================
--- palm/trunk/SOURCE/calc_radiation.f90	(revision 482)
+++ palm/trunk/SOURCE/calc_radiation.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 482)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/compute_vpt.f90
===================================================================
--- palm/trunk/SOURCE/compute_vpt.f90	(revision 482)
+++ palm/trunk/SOURCE/compute_vpt.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !-------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- palm/trunk/SOURCE/cpu_statistics.f90	(revision 482)
+++ palm/trunk/SOURCE/cpu_statistics.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/data_log.f90
===================================================================
--- palm/trunk/SOURCE/data_log.f90	(revision 482)
+++ palm/trunk/SOURCE/data_log.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 482)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 482)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 482)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 482)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 482)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 482)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 482)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 482)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 482)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 482)
+++ palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 482)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 482)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/global_min_max.f90
===================================================================
--- palm/trunk/SOURCE/global_min_max.f90	(revision 482)
+++ palm/trunk/SOURCE/global_min_max.f90	(revision 484)
@@ -3,5 +3,5 @@
 
 !-------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/impact_of_latent_heat.f90
===================================================================
--- palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 482)
+++ palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 482)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_advec.f90
===================================================================
--- palm/trunk/SOURCE/init_advec.f90	(revision 482)
+++ palm/trunk/SOURCE/init_advec.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 482)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- palm/trunk/SOURCE/init_coupling.f90	(revision 482)
+++ palm/trunk/SOURCE/init_coupling.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 482)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- palm/trunk/SOURCE/init_ocean.f90	(revision 482)
+++ palm/trunk/SOURCE/init_ocean.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 482)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 482)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 482)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/interaction_droplets_ptq.f90
===================================================================
--- palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 482)
+++ palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/local_flush.f90
===================================================================
--- palm/trunk/SOURCE/local_flush.f90	(revision 482)
+++ palm/trunk/SOURCE/local_flush.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/local_getenv.f90
===================================================================
--- palm/trunk/SOURCE/local_getenv.f90	(revision 482)
+++ palm/trunk/SOURCE/local_getenv.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 482)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/local_system.f90
===================================================================
--- palm/trunk/SOURCE/local_system.f90	(revision 482)
+++ palm/trunk/SOURCE/local_system.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain.f90	(revision 482)
+++ palm/trunk/SOURCE/local_tremain.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain_ini.f90	(revision 482)
+++ palm/trunk/SOURCE/local_tremain_ini.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/message.f90
===================================================================
--- palm/trunk/SOURCE/message.f90	(revision 482)
+++ palm/trunk/SOURCE/message.f90	(revision 484)
@@ -3,5 +3,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 482)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 482)
+++ palm/trunk/SOURCE/palm.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/particle_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/particle_boundary_conds.f90	(revision 482)
+++ palm/trunk/SOURCE/particle_boundary_conds.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 482)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 482)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 482)
+++ palm/trunk/SOURCE/pres.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 482)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 482)
+++ palm/trunk/SOURCE/production_e.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 482)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/random_function.f90
===================================================================
--- palm/trunk/SOURCE/random_function.f90	(revision 482)
+++ palm/trunk/SOURCE/random_function.f90	(revision 484)
@@ -1,5 +1,5 @@
  MODULE random_function_mod
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/random_gauss.f90
===================================================================
--- palm/trunk/SOURCE/random_gauss.f90	(revision 482)
+++ palm/trunk/SOURCE/random_gauss.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 482)
+++ palm/trunk/SOURCE/run_control.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/set_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/set_particle_attributes.f90	(revision 482)
+++ palm/trunk/SOURCE/set_particle_attributes.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 482)
+++ palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/singleton.f90
===================================================================
--- palm/trunk/SOURCE/singleton.f90	(revision 482)
+++ palm/trunk/SOURCE/singleton.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !-----------------------------------------------------------------------------
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 482)
+++ palm/trunk/SOURCE/sor.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/spline_x.f90
===================================================================
--- palm/trunk/SOURCE/spline_x.f90	(revision 482)
+++ palm/trunk/SOURCE/spline_x.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/spline_y.f90
===================================================================
--- palm/trunk/SOURCE/spline_y.f90	(revision 482)
+++ palm/trunk/SOURCE/spline_y.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/spline_z.f90
===================================================================
--- palm/trunk/SOURCE/spline_z.f90	(revision 482)
+++ palm/trunk/SOURCE/spline_z.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 482)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 !  
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 482)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 482)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/time_to_string.f90
===================================================================
--- palm/trunk/SOURCE/time_to_string.f90	(revision 482)
+++ palm/trunk/SOURCE/time_to_string.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 482)
+++ palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 482)
+++ palm/trunk/SOURCE/transpose.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_3d_data_averaging.f90
===================================================================
--- palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 482)
+++ palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_additional_routines.f90
===================================================================
--- palm/trunk/SOURCE/user_additional_routines.f90	(revision 482)
+++ palm/trunk/SOURCE/user_additional_routines.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/user_advec_particles.f90	(revision 482)
+++ palm/trunk/SOURCE/user_advec_particles.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_check_data_output.f90
===================================================================
--- palm/trunk/SOURCE/user_check_data_output.f90	(revision 482)
+++ palm/trunk/SOURCE/user_check_data_output.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_check_data_output_pr.f90
===================================================================
--- palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 482)
+++ palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/user_check_parameters.f90	(revision 482)
+++ palm/trunk/SOURCE/user_check_parameters.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 !
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 482)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_3d.f90	(revision 482)
+++ palm/trunk/SOURCE/user_data_output_3d.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_define_netcdf_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 482)
+++ palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_header.f90
===================================================================
--- palm/trunk/SOURCE/user_header.f90	(revision 482)
+++ palm/trunk/SOURCE/user_header.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_init.f90
===================================================================
--- palm/trunk/SOURCE/user_init.f90	(revision 482)
+++ palm/trunk/SOURCE/user_init.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/user_init_3d_model.f90	(revision 482)
+++ palm/trunk/SOURCE/user_init_3d_model.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_init_particles.f90
===================================================================
--- palm/trunk/SOURCE/user_init_particles.f90	(revision 482)
+++ palm/trunk/SOURCE/user_init_particles.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_last_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_last_actions.f90	(revision 482)
+++ palm/trunk/SOURCE/user_last_actions.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_module.f90
===================================================================
--- palm/trunk/SOURCE/user_module.f90	(revision 482)
+++ palm/trunk/SOURCE/user_module.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/user_particle_attributes.f90	(revision 482)
+++ palm/trunk/SOURCE/user_particle_attributes.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- palm/trunk/SOURCE/user_statistics.f90	(revision 482)
+++ palm/trunk/SOURCE/user_statistics.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/wall_fluxes.f90	(revision 482)
+++ palm/trunk/SOURCE/wall_fluxes.f90	(revision 484)
@@ -1,5 +1,5 @@
  MODULE wall_fluxes_mod
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 482)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- palm/trunk/SOURCE/write_compressed.f90	(revision 482)
+++ palm/trunk/SOURCE/write_compressed.f90	(revision 484)
@@ -3,5 +3,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 482)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 484)
@@ -2,5 +2,5 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
 ! 