Index: /palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- /palm/trunk/DOC/tec/technical_documentation.html	(revision 493)
+++ /palm/trunk/DOC/tec/technical_documentation.html	(revision 494)
@@ -1,4 +1,5 @@
 <!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
 <html><head>
+
 
 
@@ -78,4 +79,98 @@
     
     <tr>
+      <td style="vertical-align: top;">01/03/10<br>
+      </td>
+      <td style="vertical-align: top;">SR<br>
+      </td>
+      <td style="vertical-align: top;">494<br>
+      </td>
+      <td style="vertical-align: top;">3.7a<br>
+      </td>
+      <td style="vertical-align: top;">N<br>
+      </td>
+      <td style="vertical-align: top;">Output in NetCDF4-format.<br>
+      <br>
+NetCDF4 allows for parallel I/O. Also, variables are not limited in
+size any more (i.e. arrays can be larger than 2GB). The new
+d3par-parameter <span style="font-family: Courier New,Courier,monospace;">netcdf_data_format</span>.can be used to select among the different NetCDF file formats (<span style="font-style: italic;">1</span>: classic format, <span style="font-style: italic;">2</span>: 64-bit-offset format (this is now the default), <span style="font-style: italic;">3</span>: NetCDF4/HDF5 format, <span style="font-style: italic;">4</span>: NetCDF4 format with NF90_CLASSIC_MODEL bit set). Setting <span style="font-family: Courier New,Courier,monospace;">netcdf_data_format</span> &gt; <span style="font-style: italic;">2</span>
+only affects 2d- and 3d-output, i.e. there is no parallel output for
+profiles, time series, spectra, and particles. Parallel output of
+particle data may realized in the future.<br>
+      <br>
+In case of parallel output, all PEs write into one file, which means that postprocessing the data with <span style="font-family: Courier New,Courier,monospace;">combine_plot_fields</span>
+(merging data from single files - one per PE - into one file) is not
+neccessary. In this case, flag files are automatically set, telling <span style="font-family: Courier New,Courier,monospace;">combine_plot_fields</span> that nothing is to be done.<br>
+      <br>
+Using NetCDF4 format requires a NetCDF4/HDF library. Respective
+settings for -I, -L, and -l compiler/loader options for the SGI-ICE at
+HLRN can be found in the new example configuration file <span style="font-family: Courier New,Courier,monospace;">..../trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4</span><br>
+      <br>
+      <span style="font-weight: bold;">Attention:</span><br>
+So far, NetCDF parallel I/O has only been tested a little. Further
+performance optimizations may be required, especially in case of large
+data sets (e.g. data chunking, or lustre file system settings with <span style="font-family: Courier New,Courier,monospace;">lfs setstripe</span>). <span style="font-weight: bold;">Please report bugs and performance problems immediately!</span><br>
+      <br>
+      <span style="font-family: Courier New,Courier,monospace;">combine_plot_fields</span> outputs cpu-time needed for file merging.<br>
+      <br>
+Modules to be loaded for compilation (mbuild) or job execution (mrun) can/should now be given in the configuration file (<span style="font-family: Courier New,Courier,monospace;">.mrun.config</span>) using variable <span style="font-family: Courier New,Courier,monospace;">modules</span>. Example:<br>
+      <br>
+      <span style="font-family: Courier New,Courier,monospace;">&nbsp;&nbsp; %modules&nbsp;&nbsp;&nbsp;&nbsp; ifort/11.0.069:netcdf&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; lcsgih parallel</span><br>
+      <br>
+This method replaces the (undocumented) <span style="font-family: Courier New,Courier,monospace;">mpilib</span>-variable.<br>
+      <br>
+      <span style="font-weight: bold;">WARNING:</span><br>
+      <span style="font-weight: bold;">All fixed settings of modules in the scripts mbuild, mrun, and subjob have been removed! Please set the <span style="font-family: Courier New,Courier,monospace;">modules</span> variable appropriately and remove the mpilib variable in your configuration file.</span><br>
+      </td>
+      <td style="vertical-align: top;">check_open, check_parameters, close_file, data_output_2d, data_output_3d, header, modules, netcdf, parin<br>
+      <br>
+combine_plot_fields<br>
+      <br>
+mbuild, mrun, subjob<br>
+      </td>
+    </tr>
+    <tr>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;">C<br>
+      </td>
+      <td style="vertical-align: top;">d3par-parameters <span style="font-family: Courier New,Courier,monospace;">netcdf_64bit</span> and <span style="font-family: Courier New,Courier,monospace;">netcdf_64bit_3d</span> have been removed. Use the new d3par-variable <span style="font-family: Courier New,Courier,monospace;">netcdf_data_format</span> = <span style="font-style: italic;">2</span>
+for choosing the NetCDF 64bit-offset format (this is the default from
+now on). The offset-format can not be set independently for the
+3d-output-data any more.<br>
+      <br>
+d3par-parameters <span style="font-family: Courier New,Courier,monospace;">netcdf_format_mask</span>, <span style="font-family: Courier New,Courier,monospace;">netcdf_format_mask_av</span>, and variables <span style="font-family: Courier New,Courier,monospace;">nc_format_mask</span>, <span style="font-family: Courier New,Courier,monospace;">format_parallel_io</span> removed. They are replaced by the new parameter <span style="font-family: Courier New,Courier,monospace;">netcdf_data_format</span>. This change concerns the masked data output, which is still not documented.<br>
+      </td>
+      <td style="vertical-align: top;">check_open, close_file,<br>
+data_output_mask, header, init_masks, modules, parin<br>
+      <br>
+      </td>
+    </tr>
+    <tr>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;"><br>
+      </td>
+      <td style="vertical-align: top;">B<br>
+      </td>
+      <td style="vertical-align: top;">Bugfix in trunk/UTIL/Makefile: forgot to compile for interpret_config.<br>
+      <br>
+Bugfix: timeseries data have to be collected by PE0 (user_statistics).<br>
+      </td>
+      <td style="vertical-align: top;">user_statistics<br>
+      <br>
+trunk/UTIL/Makefile<br>
+      </td>
+    </tr>
+<tr>
       <td style="vertical-align: top;">05/02/10<br>
       </td>
@@ -84,7 +179,7 @@
       <td style="vertical-align: top;">485<br>
       </td>
-      <td style="vertical-align: top;"><br>
-      </td>
-      <td style="vertical-align: top;"><br>
+      <td style="vertical-align: top;">3.7a<br>
+      </td>
+      <td style="vertical-align: top;">B<br>
       </td>
       <td style="vertical-align: top;"><span style="font-family: Courier New,Courier,monospace;">ngp_3d</span>, <span style="font-family: Courier New,Courier,monospace;">ngp_3d_inner</span>
@@ -102,5 +197,5 @@
       <td style="vertical-align: top;">484<br>
       </td>
-      <td style="vertical-align: top;"><br>
+      <td style="vertical-align: top;">3.7a<br>
       </td>
       <td style="vertical-align: top;">B<br>
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 493)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 494)
@@ -46,9 +46,9 @@
 #
 %sgi_feature       ice                                        lcsgih parallel
+%modules           ifort/11.0.069:mvapich2/1.4.0-intel:netcdf lcsgih parallel
 #%remote_username  <replace by your HLRN username>            lcsgih parallel
 %compiler_name     mpif90                                     lcsgih parallel
 %compiler_name_ser ifort                                      lcsgih parallel
-%mpilib            mvapich2/1.2.0-intel                       lcsgih parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcsgih parallel
 %netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgih parallel
 %netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 494)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 494)
@@ -0,0 +1,142 @@
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+%host_identifier   service100  lcsgih
+%host_identifier   r1*         lcsgih
+%host_identifier   h01*        lcsgih
+%host_identifier   r2*         lcsgib
+%host_identifier   b01*        lcsgib
+%host_identifier   gallego     lcmuk
+#
+# The following blocks contain all information for compiling the PALM code
+# and for generating and running the PALM executable using MPI. Replace all
+# required paths (given in <>) by the respective paths valid on your host.
+# Please adjust compilernames, cpp-options, compiler-options etc. 
+# appropriately for your own system(s), and please delete or comment out
+# blocks for unused systems.
+#
+# The following 'lcmuk parallel' block assumes PALM compilation and execution
+# on host gallego. Please note that other hosts within the IMUK linux cluster,
+# e.g. maestro or bora, may have require different settings.
+#
+#%remote_username   <replace by your IMUK username>              lcmuk parallel
+%tmp_user_catalog  /tmp                                          lcmuk parallel
+%compiler_name     mpif90                                        lcmuk parallel
+%compiler_name_ser ifort                                         lcmuk parallel
+%cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcmuk parallel
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
+%fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
+%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib                    lcmuk parallel
+#%hostfile          $base_directory/.hostfile                    lcmuk parallel
+#
+%sgi_feature       ice2                                       lcsgih parallel ice2
+%modules           ifort/11.0.069:mvapich2/1.4.0-intel:phdf5:pnetcdf   lcsgih parallel ice2
+#%remote_username  <replace by your HLRN username>            lcsgih parallel
+%compiler_name     mpif90                                     lcsgih parallel ice2
+%compiler_name_ser ifort                                      lcsgih parallel ice2
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgih parallel ice2
+%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.0.1-mvapich2-intel/include:-I:/sw/dataformats/phdf5/hdf5-1.8.2-mvapich2-intel/include    lcsgih parallel ice2
+%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.0.1-mvapich2-intel/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.2-mvapich2-intel/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel ice2
+%mopts             -j:4                                       lcsgih parallel ice2
+%fopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel ice2
+%lopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcsgih parallel ice2
+%memory            1500                                       lcsgih parallel ice2
+#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
+#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
+#
+#
+%write_binary                true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd; ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+# Collect plot data (2d/3d) into one file
+OC:combine_plot_fields.x
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
+
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 493)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 494)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! NetCDF4 support (parallel output)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! NetCDF4 support (parallel output)
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 493)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 494)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf_data_format is checked
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! netcdf_data_format is checked
 !
 ! 411 2009-12-11 14:15:58Z heinze
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 493)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 494)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Adjustments for NetCDF parallel data output
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! Adjustments for NetCDF parallel data output
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 493)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 494)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! NetCDF4 support (parallel output)
 !
 ! 367 2009-08-25 08:35:52Z maronga
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 493)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 494)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! NetCDF4 support (parallel output)
 !
 ! 355 2009-07-17 01:03:01Z letzel
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 493)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 494)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! netcdf_format_mask* and format_parallel_io replaced by netcdf_data_format
 !
 ! 475 2010-02-04 02:26:16Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 493)
+++ /palm/trunk/SOURCE/header.f90	(revision 494)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! NetCDF data output format extendend for NetCDF4/HDF5
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! NetCDF data output format extendend for NetCDF4/HDF5
 !
 ! 449 2010-02-02 11:23:59Z raasch
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 493)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 494)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! netcdf_format_mask* and format_parallel_io replaced by netcdf_data_format
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 493)
+++ /palm/trunk/SOURCE/modules.f90	(revision 494)
@@ -5,9 +5,13 @@
 ! Current revisions:
 ! -----------------
-! +netcdf_data_format, -netcdf_64bit, -netcdf_64bit_3d
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! +netcdf_data_format, -netcdf_64bit, -netcdf_64bit_3d, -netcdf_format_mask*,
+! -nc_format_mask, -format_parallel_io
 !
 ! 485 2010-02-05 10:57:51Z raasch
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 493)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 494)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! Extensions for NetCDF4 output
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! Extensions for NetCDF4 output
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 493)
+++ /palm/trunk/SOURCE/parin.f90	(revision 494)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +netcdf_data_format in d3par, -netcdf_64bit, -netcdf_64bit_3d
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! +netcdf_data_format in d3par, -netcdf_64bit, -netcdf_64bit_3d
 !
 ! 449 2010-02-02 11:23:59Z raasch
Index: /palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/user_statistics.f90	(revision 493)
+++ /palm/trunk/SOURCE/user_statistics.f90	(revision 494)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: timeseries data have to be collected by PE0
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! Bugfix: timeseries data have to be collected by PE0
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: /palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- /palm/trunk/UTIL/combine_plot_fields.f90	(revision 493)
+++ /palm/trunk/UTIL/combine_plot_fields.f90	(revision 494)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Exit in case of already complete NetCDF data (due to parallel output in PALM)
-! cpu measurements included
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 493 2010-03-01 08:30:24Z raasch
+! Exit in case of already complete NetCDF data (due to parallel output in PALM)
+! cpu measurements included
 !
 ! 210 2008-11-06 08:54:02Z raasch